Skip to main content
GET
/
api
/
v1
/
markets
/
tokenId
Token ID lookup by slug and outcome
curl --request GET \
  --url https://api.vatic.trading/api/v1/markets/tokenId
import requests

url = "https://api.vatic.trading/api/v1/markets/tokenId"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.vatic.trading/api/v1/markets/tokenId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tokenId": "71321045679252212594626385532706912750332728571942532289631379312455583992563",
  "outcome": "Yes",
  "outcomeIndex": 0,
  "conditionId": "0xabc...",
  "negRisk": false,
  "slug": "will-arsenal-win-the-202526-english-premier-league",
  "eventSlug": "premier-league-winner-2025-26",
  "question": "Will Arsenal win the 2025/26 English Premier League?"
}

Query Parameters

slug
string
required
Example:

"will-arsenal-win-the-202526-english-premier-league"

outcome
string
required

Case-insensitive outcome name (e.g. Yes, No).

Example:

"Yes"

eventSlug
string

Optional — validates the market belongs to the expected event.

Response

Token ID and market details